Name:          imath
Version:       3.1.4
Release:       1mamba
Summary:       A C++ and python library of 2D and 3D vector, matrix, and math operations for computer graphics
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://github.com/AcademySoftwareFoundation/Imath
Source:        https://github.com/AcademySoftwareFoundation/Imath.git/v%{version}/Imath-%{version}.tar.bz2
License:       BSD
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libgcc
BuildRequires: libstdc++6-devel
## AUTOBUILDREQ-END
BuildRequires: cmake
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}

%description
Imath is a C++ and python library of 2D and 3D vector, matrix, and math operations for computer graphics.

%package -n lib%{name}
Group:         System/Libraries
Summary:       A C++ and python library of 2D and 3D vector, matrix, and math operations for computer graphics

%description -n lib%{name}
Imath is a C++ and python library of 2D and 3D vector, matrix, and math operations for computer graphics.
This package contains shared libraries for %{name}.

%package -n lib%{name}-devel
Group:         Development/Libraries
Summary:       Development files for %{name}
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}
Requires:      pkg-config

%description -n lib%{name}-devel
This package contains libraries and header files for developing applications that use %{name}.

%debug_package

%prep
%setup -q -n Imath-%{version}

%build
%cmake -d build
%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall -C build

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post -n lib%{name} -p /sbin/ldconfig
%postun -n lib%{name} -p /sbin/ldconfig

%files -n lib%{name}
%defattr(-,root,root)
%{_libdir}/libImath-*.so.*
%doc LICENSE.md

%files -n lib%{name}-devel
%defattr(-,root,root)
%dir %{_includedir}/Imath
%{_includedir}/Imath/*
%dir %{_libdir}/cmake/Imath
%{_libdir}/cmake/Imath/Imath*.cmake
%{_libdir}/libImath-*.so
%{_libdir}/libImath.so
%{_libdir}/pkgconfig/Imath.pc
%doc README.md

%changelog
* Sun Jan 23 2022 Automatic Build System <autodist@mambasoft.it> 3.1.4-1mamba
- automatic version update by autodist

* Fri Sep 03 2021 Automatic Build System <autodist@mambasoft.it> 3.1.3-1mamba
- automatic version update by autodist

* Sun Aug 01 2021 Automatic Build System <autodist@mambasoft.it> 3.1.2-1mamba
- automatic version update by autodist

* Wed Jul 21 2021 Automatic Build System <autodist@mambasoft.it> 3.1.1-1mamba
- automatic version update by autodist

* Thu Jul 15 2021 Automatic Build System <autodist@mambasoft.it> 3.1.0-1mamba
- automatic version update by autodist

* Wed Jun 30 2021 Automatic Build System <autodist@mambasoft.it> 3.0.5-1mamba
- automatic version update by autodist

* Sun Jun 20 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 3.0.4-1mamba
- package created using the webbuild interface
